FreeMat

- Main Page
- Related Pages

vtkSLCReader

Section: Visualization Toolkit IO Classes

# Usage

vtkSLCReader reads an SLC file and creates a structured point dataset. The size of the volume and the data spacing is set from the SLC file header.

To create an instance of class vtkSLCReader, simply invoke its constructor as follows

      obj = vtkSLCReader

# Methods

The class vtkSLCReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSLCReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSLCReader = obj.NewInstance ()`
- `vtkSLCReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - Set/Get the name of the file to read.
- `string = obj.GetFileName ()` - Set/Get the name of the file to read.
- `int = obj.GetError ()` - Was there an error on the last read performed?
- `int = obj.CanReadFile (string fname)` - Is the given file an SLC file?
- `string = obj.GetFileExtensions ()` - SLC
- `string = obj.GetDescriptiveName ()`